Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.jdbc
Class JDBCLog

    java.lang.Object
      |
      +--com.solarmetric.jdbc.JDBCLog

public synchronized class JDBCLog
extends Object

Constructor Summary
`JDBCLog()`
`JDBCLog(Log, Log)`

Method Summary
`Log` | `getJDBCLog()`
`Log` | `getSQLLog()`
`boolean` | `isJDBCLogEnabled()`
`boolean` | `isSQLLogEnabled()`
`void` | `logJDBC(String, Connection)`
`void` | `logJDBC(String, long, Connection)`
`void` | `logSQL(String, Connection)`
`void` | `logSQL(String, long, Connection)`
`void` | `setJDBCLog(Log)`
`void` | `setSQLLog(Log)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCLog

    public JDBCLog()

### JDBCLog

    public JDBCLog(Log,
                   Log)

Method Detail

### getJDBCLog

    public Log getJDBCLog()

### setJDBCLog

    public void setJDBCLog(Log)

### isJDBCLogEnabled

    public boolean isJDBCLogEnabled()

### getSQLLog

    public Log getSQLLog()

### setSQLLog

    public void setSQLLog(Log)

### isSQLLogEnabled

    public boolean isSQLLogEnabled()

### logJDBC

    public void logJDBC(String,
                        Connection)

### logJDBC

    public void logJDBC(String,
                        long,
                        Connection)

### logSQL

    public void logSQL(String,
                       Connection)

### logSQL

    public void logSQL(String,
                       long,
                       Connection)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.